From 125790e07a01f451727e426610a7225b3215478b Mon Sep 17 00:00:00 2001
From: Thomas Bechtold <tbechtold@suse.com>
Date: Thu, 4 Jun 2015 15:30:09 +0200
Subject: [PATCH] Move back to oslo.* namespaces

Change-Id: I83b534b79925b30a8d6c64b398b2374ff248a7e3
---
 bin/manila-all                                               |  2 +-
 bin/manila-api                                               |  2 +-
 bin/manila-manage                                            |  4 ++--
 bin/manila-scheduler                                         |  2 +-
 bin/manila-share                                             |  2 +-
 contrib/tempest/tempest/config_share.py                      |  2 +-
 manila/api/__init__.py                                       |  2 +-
 manila/api/common.py                                         |  2 +-
 manila/api/contrib/__init__.py                               |  2 +-
 manila/api/contrib/quotas.py                                 |  2 +-
 manila/api/contrib/share_type_access.py                      |  2 +-
 manila/api/extensions.py                                     |  4 ++--
 manila/api/middleware/auth.py                                |  4 ++--
 manila/api/middleware/sizelimit.py                           |  2 +-
 manila/api/openstack/wsgi.py                                 |  2 +-
 manila/api/v1/limits.py                                      |  4 ++--
 manila/api/v1/share_networks.py                              |  4 ++--
 manila/api/v1/share_types.py                                 |  2 +-
 manila/api/v1/shares.py                                      |  2 +-
 manila/api/versions.py                                       |  2 +-
 manila/api/views/limits.py                                   |  2 +-
 manila/common/config.py                                      |  2 +-
 manila/compute/__init__.py                                   | 12 ++++++------
 manila/compute/nova.py                                       |  2 +-
 manila/context.py                                            |  2 +-
 manila/db/api.py                                             |  4 ++--
 manila/db/base.py                                            |  4 ++--
 manila/db/migrations/alembic/migration.py                    |  2 +-
 .../38e632621e5a_change_volume_type_to_share_type.py         |  2 +-
 .../alembic/versions/59eb64046740_add_required_extra_spec.py |  2 +-
 manila/db/sqlalchemy/api.py                                  | 12 ++++++------
 manila/db/sqlalchemy/models.py                               |  4 ++--
 manila/exception.py                                          |  2 +-
 manila/i18n.py                                               | 10 +++++-----
 manila/manager.py                                            |  4 ++--
 manila/network/__init__.py                                   |  4 ++--
 manila/network/linux/interface.py                            |  2 +-
 manila/network/neutron/api.py                                |  2 +-
 manila/network/neutron/neutron_network_plugin.py             |  2 +-
 manila/network/nova_network_plugin.py                        |  2 +-
 manila/network/standalone_network_plugin.py                  |  2 +-
 manila/quota.py                                              |  6 +++---
 manila/rpc.py                                                |  4 ++--
 manila/scheduler/chance.py                                   |  2 +-
 manila/scheduler/driver.py                                   |  6 +++---
 manila/scheduler/filter_scheduler.py                         |  2 +-
 manila/scheduler/host_manager.py                             |  4 ++--
 manila/scheduler/manager.py                                  |  6 +++---
 manila/scheduler/rpcapi.py                                   |  4 ++--
 manila/scheduler/scheduler_options.py                        |  6 +++---
 manila/scheduler/simple.py                                   |  2 +-
 manila/scheduler/weights/capacity.py                         |  2 +-
 manila/service.py                                            |  4 ++--
 manila/share/__init__.py                                     |  2 +-
 manila/share/api.py                                          |  8 ++++----
 manila/share/configuration.py                                |  2 +-
 manila/share/driver.py                                       |  2 +-
 manila/share/drivers/emc/driver.py                           |  2 +-
 manila/share/drivers/emc/plugins/isilon/isilon.py            |  2 +-
 manila/share/drivers/emc/plugins/isilon/isilon_api.py        |  2 +-
 manila/share/drivers/emc/plugins/vnx/connection.py           |  4 ++--
 manila/share/drivers/emc/plugins/vnx/utils.py                |  4 ++--
 manila/share/drivers/ganesha/__init__.py                     |  2 +-
 manila/share/drivers/ganesha/manager.py                      |  2 +-
 manila/share/drivers/generic.py                              |  8 ++++----
 manila/share/drivers/glusterfs.py                            |  2 +-
 manila/share/drivers/glusterfs_native.py                     |  2 +-
 manila/share/drivers/hdfs/hdfs_native.py                     |  4 ++--
 manila/share/drivers/hds/sop.py                              |  6 +++---
 manila/share/drivers/hp/hp_3par_driver.py                    |  2 +-
 manila/share/drivers/hp/hp_3par_mediator.py                  |  4 ++--
 manila/share/drivers/huawei/huawei_helper.py                 |  4 ++--
 manila/share/drivers/huawei/huawei_nas.py                    |  6 +++---
 manila/share/drivers/ibm/gpfs.py                             | 10 +++++-----
 manila/share/drivers/netapp/common.py                        |  2 +-
 manila/share/drivers/netapp/dataontap/client/client_base.py  |  2 +-
 manila/share/drivers/netapp/dataontap/client/client_cmode.py |  2 +-
 .../share/drivers/netapp/dataontap/cluster_mode/lib_base.py  |  2 +-
 .../drivers/netapp/dataontap/cluster_mode/lib_multi_svm.py   |  2 +-
 manila/share/drivers/netapp/options.py                       |  2 +-
 manila/share/drivers/quobyte/jsonrpc.py                      |  2 +-
 manila/share/drivers/quobyte/quobyte.py                      |  2 +-
 manila/share/drivers/service_instance.py                     |  4 ++--
 manila/share/drivers/zfssa/restclient.py                     |  2 +-
 manila/share/drivers/zfssa/zfssarest.py                      |  2 +-
 manila/share/drivers/zfssa/zfssashare.py                     |  4 ++--
 manila/share/manager.py                                      | 10 +++++-----
 manila/share/rpcapi.py                                       |  4 ++--
 manila/share/share_types.py                                  |  8 ++++----
 manila/test.py                                               |  6 +++---
 manila/tests/api/contrib/test_admin_actions.py               |  4 ++--
 manila/tests/api/contrib/test_services.py                    |  2 +-
 manila/tests/api/contrib/test_share_actions.py               |  2 +-
 manila/tests/api/contrib/test_types_extra_specs.py           |  2 +-
 manila/tests/api/fakes.py                                    |  2 +-
 manila/tests/api/middleware/test_faults.py                   |  2 +-
 manila/tests/api/middleware/test_sizelimit.py                |  2 +-
 manila/tests/api/test_extensions.py                          |  4 ++--
 manila/tests/api/test_router.py                              |  2 +-
 manila/tests/api/v1/test_limits.py                           |  2 +-
 manila/tests/api/v1/test_share_metadata.py                   |  4 ++--
 manila/tests/api/v1/test_share_networks.py                   |  4 ++--
 manila/tests/api/v1/test_share_types.py                      |  2 +-
 manila/tests/api/v1/test_shares.py                           |  2 +-
 manila/tests/db/migrations/alembic/test_migration.py         |  4 ++--
 manila/tests/declare_conf.py                                 |  2 +-
 manila/tests/fake_compute.py                                 |  2 +-
 manila/tests/fake_network.py                                 |  2 +-
 manila/tests/fake_notifier.py                                |  2 +-
 manila/tests/fake_volume.py                                  |  2 +-
 manila/tests/integrated/api/client.py                        |  2 +-
 manila/tests/integrated/integrated_helpers.py                |  2 +-
 manila/tests/integrated/test_extensions.py                   |  2 +-
 manila/tests/network/neutron/test_neutron_api.py             |  2 +-
 manila/tests/network/neutron/test_neutron_plugin.py          |  2 +-
 manila/tests/network/test_security_service_db.py             |  2 +-
 manila/tests/network/test_share_network_db.py                |  2 +-
 manila/tests/network/test_standalone_network_plugin.py       |  2 +-
 manila/tests/runtime_conf.py                                 |  2 +-
 manila/tests/scheduler/fakes.py                              |  2 +-
 manila/tests/scheduler/test_capacity_weigher.py              |  2 +-
 manila/tests/scheduler/test_host_filters.py                  |  2 +-
 manila/tests/scheduler/test_host_manager.py                  |  4 ++--
 manila/tests/scheduler/test_rpcapi.py                        |  2 +-
 manila/tests/scheduler/test_scheduler.py                     |  4 ++--
 manila/tests/scheduler/test_scheduler_options.py             |  2 +-
 .../share/drivers/emc/plugins/isilon/test_isilon_api.py      |  2 +-
 manila/tests/share/drivers/emc/test_emc_vnx.py               |  2 +-
 manila/tests/share/drivers/ganesha/test_manager.py           |  2 +-
 manila/tests/share/drivers/hdfs/test_hdfs_native.py          |  2 +-
 manila/tests/share/drivers/hds/test_sop.py                   |  6 +++---
 manila/tests/share/drivers/hp/test_hp_3par_mediator.py       |  2 +-
 manila/tests/share/drivers/huawei/test_huawei_nas.py         |  2 +-
 manila/tests/share/drivers/ibm/test_ganesha_utils.py         |  2 +-
 manila/tests/share/drivers/ibm/test_gpfs.py                  |  2 +-
 manila/tests/share/drivers/quobyte/test_jsonrpc.py           |  2 +-
 manila/tests/share/drivers/quobyte/test_quobyte.py           |  2 +-
 manila/tests/share/drivers/test_ganesha.py                   |  2 +-
 manila/tests/share/drivers/test_generic.py                   |  2 +-
 manila/tests/share/drivers/test_glusterfs.py                 |  2 +-
 manila/tests/share/drivers/test_glusterfs_native.py          |  2 +-
 manila/tests/share/drivers/test_service_instance.py          |  4 ++--
 manila/tests/share/drivers/zfssa/test_zfssashare.py          |  2 +-
 manila/tests/share/test_api.py                               |  4 ++--
 manila/tests/share/test_manager.py                           |  6 +++---
 manila/tests/share/test_rpcapi.py                            |  4 ++--
 manila/tests/test_conf.py                                    |  2 +-
 manila/tests/test_db.py                                      |  2 +-
 manila/tests/test_manager.py                                 |  2 +-
 manila/tests/test_policy.py                                  |  2 +-
 manila/tests/test_quota.py                                   |  4 ++--
 manila/tests/test_service.py                                 |  2 +-
 manila/tests/test_test.py                                    |  2 +-
 manila/tests/test_utils.py                                   |  4 ++--
 manila/tests/test_wsgi.py                                    |  2 +-
 manila/tests/utils.py                                        |  2 +-
 manila/tests/windows/windowsutils.py                         |  2 +-
 manila/utils.py                                              |  6 +++---
 manila/volume/__init__.py                                    | 12 ++++++------
 manila/volume/cinder.py                                      |  2 +-
 manila/wsgi.py                                               |  4 ++--
 161 files changed, 252 insertions(+), 252 deletions(-)

diff --git a/bin/manila-all b/bin/manila-all
index 94c8603..e48c7e1 100755
--- a/bin/manila-all
+++ b/bin/manila-all
@@ -32,7 +32,7 @@ eventlet.monkey_patch()
 import os
 import sys
 
-from oslo_config import cfg
+from oslo.config import cfg
 possible_topdir = os.path.normpath(os.path.join
                                    (os.path.abspath(sys.argv[0]),
                                     os.pardir, os.pardir))
diff --git a/bin/manila-api b/bin/manila-api
index a05501b..c65f3ba 100755
--- a/bin/manila-api
+++ b/bin/manila-api
@@ -28,7 +28,7 @@ eventlet.monkey_patch()
 import os
 import sys
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 possible_topdir = os.path.normpath(os.path.join
                                    (os.path.abspath(sys.argv[0]),
diff --git a/bin/manila-manage b/bin/manila-manage
index 90852d1..a203162 100755
--- a/bin/manila-manage
+++ b/bin/manila-manage
@@ -70,8 +70,8 @@ if os.path.exists(os.path.join(POSSIBLE_TOPDIR, 'manila', '__init__.py')):
 from manila import i18n
 i18n.enable_lazy()
 
-from oslo_config import cfg
-from oslo_utils import uuidutils
+from oslo.config import cfg
+from oslo.utils import uuidutils
 
 from manila.common import config  # Need to register global_opts  # noqa
 from manila import context
diff --git a/bin/manila-scheduler b/bin/manila-scheduler
index 25b30a7..13f443a 100755
--- a/bin/manila-scheduler
+++ b/bin/manila-scheduler
@@ -24,7 +24,7 @@ eventlet.monkey_patch()
 import os
 import sys
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 # If ../manila/__init__.py exists, add ../ to Python search path, so that
 # it will override what happens to be installed in /usr/(local/)lib/python...
diff --git a/bin/manila-share b/bin/manila-share
index 87fab58..8ea785e 100755
--- a/bin/manila-share
+++ b/bin/manila-share
@@ -23,7 +23,7 @@ eventlet.monkey_patch()
 import os
 import sys
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 # If ../manila/__init__.py exists, add ../ to Python search path, so that
 # it will override what happens to be installed in /usr/(local/)lib/python...
diff --git a/contrib/tempest/tempest/config_share.py b/contrib/tempest/tempest/config_share.py
index c0b0158..9096ac2 100644
--- a/contrib/tempest/tempest/config_share.py
+++ b/contrib/tempest/tempest/config_share.py
@@ -15,7 +15,7 @@
 
 from __future__ import print_function
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 from tempest import config  # noqa
 
diff --git a/manila/api/__init__.py b/manila/api/__init__.py
index 1781b58..ef35fc4 100644
--- a/manila/api/__init__.py
+++ b/manila/api/__init__.py
@@ -14,7 +14,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_config import cfg
+from oslo.config import cfg
 import paste.urlmap
 
 
diff --git a/manila/api/common.py b/manila/api/common.py
index bff2544..fe11346 100644
--- a/manila/api/common.py
+++ b/manila/api/common.py
@@ -16,7 +16,7 @@
 import os
 import re
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 import six
 from six.moves.urllib import parse
diff --git a/manila/api/contrib/__init__.py b/manila/api/contrib/__init__.py
index 51cb73e..67205bf 100644
--- a/manila/api/contrib/__init__.py
+++ b/manila/api/contrib/__init__.py
@@ -19,7 +19,7 @@ It can't be called 'extensions' because that causes namespacing problems.
 
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 from manila.api import extensions
diff --git a/manila/api/contrib/quotas.py b/manila/api/contrib/quotas.py
index 4c27f90..e61e716 100644
--- a/manila/api/contrib/quotas.py
+++ b/manila/api/contrib/quotas.py
@@ -14,7 +14,7 @@
 #    under the License.
 
 from oslo_log import log
-from oslo_utils import strutils
+from oslo.utils import strutils
 from six.moves.urllib import parse
 import webob
 
diff --git a/manila/api/contrib/share_type_access.py b/manila/api/contrib/share_type_access.py
index 2e54b98..c76ee08 100644
--- a/manila/api/contrib/share_type_access.py
+++ b/manila/api/contrib/share_type_access.py
@@ -13,7 +13,7 @@
 
 """The share type access extension."""
 
-from oslo_utils import uuidutils
+from oslo.utils import uuidutils
 import six
 import webob
 
diff --git a/manila/api/extensions.py b/manila/api/extensions.py
index 62f85a7..f0887b3 100644
--- a/manila/api/extensions.py
+++ b/manila/api/extensions.py
@@ -16,9 +16,9 @@
 
 import os
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import importutils
+from oslo.utils import importutils
 import six
 import webob.dec
 import webob.exc
diff --git a/manila/api/middleware/auth.py b/manila/api/middleware/auth.py
index 1e798c9..daa8adf 100644
--- a/manila/api/middleware/auth.py
+++ b/manila/api/middleware/auth.py
@@ -18,9 +18,9 @@ Common Auth Middleware.
 """
 import os
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import webob.dec
 import webob.exc
 
diff --git a/manila/api/middleware/sizelimit.py b/manila/api/middleware/sizelimit.py
index 804bbc4..3c3ba8b 100644
--- a/manila/api/middleware/sizelimit.py
+++ b/manila/api/middleware/sizelimit.py
@@ -16,7 +16,7 @@ Request Body limiting middleware.
 
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 import webob.dec
 import webob.exc
diff --git a/manila/api/openstack/wsgi.py b/manila/api/openstack/wsgi.py
index be88a90..c114a30 100644
--- a/manila/api/openstack/wsgi.py
+++ b/manila/api/openstack/wsgi.py
@@ -16,7 +16,7 @@
 import inspect
 import math
 from oslo_log import log
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import six
 import time
 import webob
diff --git a/manila/api/v1/limits.py b/manila/api/v1/limits.py
index fae0dfc..8ebc8d5 100644
--- a/manila/api/v1/limits.py
+++ b/manila/api/v1/limits.py
@@ -24,8 +24,8 @@ import math
 import re
 import time
 
-from oslo_serialization import jsonutils
-from oslo_utils import importutils
+from oslo.serialization import jsonutils
+from oslo.utils import importutils
 import webob.dec
 import webob.exc
 
diff --git a/manila/api/v1/share_networks.py b/manila/api/v1/share_networks.py
index 6459986..4903be7 100644
--- a/manila/api/v1/share_networks.py
+++ b/manila/api/v1/share_networks.py
@@ -15,9 +15,9 @@
 
 """The shares api."""
 
-from oslo_db import exception as db_exception
+from oslo.db import exception as db_exception
 from oslo_log import log
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 import six
 import webob
 from webob import exc
diff --git a/manila/api/v1/share_types.py b/manila/api/v1/share_types.py
index d4bf7cd..c7062bf 100644
--- a/manila/api/v1/share_types.py
+++ b/manila/api/v1/share_types.py
@@ -14,7 +14,7 @@
 
 """The share type & share types extra specs extension."""
 
-from oslo_utils import strutils
+from oslo.utils import strutils
 import six
 from webob import exc
 
diff --git a/manila/api/v1/shares.py b/manila/api/v1/shares.py
index 7e80765..9fa826b 100644
--- a/manila/api/v1/shares.py
+++ b/manila/api/v1/shares.py
@@ -18,7 +18,7 @@
 import ast
 
 from oslo_log import log
-from oslo_utils import uuidutils
+from oslo.utils import uuidutils
 import six
 import webob
 from webob import exc
diff --git a/manila/api/versions.py b/manila/api/versions.py
index 545e280..53bebe8 100644
--- a/manila/api/versions.py
+++ b/manila/api/versions.py
@@ -13,7 +13,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila.api.openstack import wsgi
 from manila.api.views import versions as views_versions
diff --git a/manila/api/views/limits.py b/manila/api/views/limits.py
index 536baf3..fa60ea3 100644
--- a/manila/api/views/limits.py
+++ b/manila/api/views/limits.py
@@ -15,7 +15,7 @@
 
 import datetime
 
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 import six
 
 
diff --git a/manila/common/config.py b/manila/common/config.py
index af2c9d0..5fd1630 100644
--- a/manila/common/config.py
+++ b/manila/common/config.py
@@ -26,7 +26,7 @@ stepping stone.
 
 import socket
 
-from oslo_config import cfg
+from oslo.config import cfg
 import six
 
 from manila.common import constants
diff --git a/manila/compute/__init__.py b/manila/compute/__init__.py
index 2cddd10..fa569dc 100644
--- a/manila/compute/__init__.py
+++ b/manila/compute/__init__.py
@@ -13,22 +13,22 @@
 # License for the specific language governing permissions and limitations
 # under the License.
 
-import oslo_config.cfg
-import oslo_utils.importutils
+import oslo.config.cfg
+import oslo.utils.importutils
 
 
 _compute_opts = [
-    oslo_config.cfg.StrOpt('compute_api_class',
+    oslo.config.cfg.StrOpt('compute_api_class',
                            default='manila.compute.nova.API',
                            help='The full class name of the '
                                 'Compute API class to use.'),
 ]
 
-oslo_config.cfg.CONF.register_opts(_compute_opts)
+oslo.config.cfg.CONF.register_opts(_compute_opts)
 
 
 def API():
-    importutils = oslo_utils.importutils
-    compute_api_class = oslo_config.cfg.CONF.compute_api_class
+    importutils = oslo.utils.importutils
+    compute_api_class = oslo.config.cfg.CONF.compute_api_class
     cls = importutils.import_class(compute_api_class)
     return cls()
diff --git a/manila/compute/nova.py b/manila/compute/nova.py
index fb70b5c..b35e775 100644
--- a/manila/compute/nova.py
+++ b/manila/compute/nova.py
@@ -24,7 +24,7 @@ from novaclient import utils
 from novaclient.v2 import client as nova_client
 from novaclient.v2.contrib import assisted_volume_snapshots
 from novaclient.v2 import servers as nova_servers
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 from manila.db import base
diff --git a/manila/context.py b/manila/context.py
index 2196814..820c095 100644
--- a/manila/context.py
+++ b/manila/context.py
@@ -21,7 +21,7 @@ import copy
 
 from oslo_context import context as common_context
 from oslo_log import log
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 import six
 
 from manila.i18n import _
diff --git a/manila/db/api.py b/manila/db/api.py
index 4b6aa60..c4285a4 100644
--- a/manila/db/api.py
+++ b/manila/db/api.py
@@ -40,8 +40,8 @@ these objects be simple dictionaries.
                        pool of available hardware (Default: True)
 
 """
-from oslo_config import cfg
-from oslo_db import api as db_api
+from oslo.config import cfg
+from oslo.db import api as db_api
 
 
 db_opts = [
diff --git a/manila/db/base.py b/manila/db/base.py
index d11bcfe..72ab8d7 100644
--- a/manila/db/base.py
+++ b/manila/db/base.py
@@ -16,8 +16,8 @@
 
 """Base class for classes that need modular database access."""
 
-from oslo_config import cfg
-from oslo_utils import importutils
+from oslo.config import cfg
+from oslo.utils import importutils
 
 db_driver_opt = cfg.StrOpt('db_driver',
                            default='manila.db',
diff --git a/manila/db/migrations/alembic/migration.py b/manila/db/migrations/alembic/migration.py
index 33dd265..c169974 100644
--- a/manila/db/migrations/alembic/migration.py
+++ b/manila/db/migrations/alembic/migration.py
@@ -17,7 +17,7 @@ import os
 import alembic
 from alembic import config as alembic_config
 import alembic.migration as alembic_migration
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila.db.sqlalchemy import api as db_api
 
diff --git a/manila/db/migrations/alembic/versions/38e632621e5a_change_volume_type_to_share_type.py b/manila/db/migrations/alembic/versions/38e632621e5a_change_volume_type_to_share_type.py
index 0d0c8fb..f979232 100644
--- a/manila/db/migrations/alembic/versions/38e632621e5a_change_volume_type_to_share_type.py
+++ b/manila/db/migrations/alembic/versions/38e632621e5a_change_volume_type_to_share_type.py
@@ -29,7 +29,7 @@ from alembic import op
 from manila.i18n import _LI
 from manila.openstack.common import log as logging
 
-from oslo_utils import strutils
+from oslo.utils import strutils
 import sqlalchemy as sa
 from sqlalchemy.sql import table
 
diff --git a/manila/db/migrations/alembic/versions/59eb64046740_add_required_extra_spec.py b/manila/db/migrations/alembic/versions/59eb64046740_add_required_extra_spec.py
index a87e5c2..cea05f1 100644
--- a/manila/db/migrations/alembic/versions/59eb64046740_add_required_extra_spec.py
+++ b/manila/db/migrations/alembic/versions/59eb64046740_add_required_extra_spec.py
@@ -25,7 +25,7 @@ revision = '59eb64046740'
 down_revision = '4ee2cf4be19a'
 
 from alembic import op
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 import sqlalchemy as sa
 from sqlalchemy.sql import table
 
diff --git a/manila/db/sqlalchemy/api.py b/manila/db/sqlalchemy/api.py
index 544d6c1..39a6463 100644
--- a/manila/db/sqlalchemy/api.py
+++ b/manila/db/sqlalchemy/api.py
@@ -23,13 +23,13 @@ import sys
 import uuid
 import warnings
 
-from oslo_config import cfg
-from oslo_db import exception as db_exception
-from oslo_db import options as db_options
-from oslo_db.sqlalchemy import session
-from oslo_db.sqlalchemy import utils as db_utils
+from oslo.config import cfg
+from oslo.db import exception as db_exception
+from oslo.db import options as db_options
+from oslo.db.sqlalchemy import session
+from oslo.db.sqlalchemy import utils as db_utils
 from oslo_log import log
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 import six
 from sqlalchemy import or_
 from sqlalchemy.orm import joinedload
diff --git a/manila/db/sqlalchemy/models.py b/manila/db/sqlalchemy/models.py
index a6a1dff..e972cee 100644
--- a/manila/db/sqlalchemy/models.py
+++ b/manila/db/sqlalchemy/models.py
@@ -19,8 +19,8 @@
 SQLAlchemy models for Manila data.
 """
 
-from oslo_config import cfg
-from oslo_db.sqlalchemy import models
+from oslo.config import cfg
+from oslo.db.sqlalchemy import models
 import six
 from sqlalchemy import Column, Integer, String, schema
 from sqlalchemy.ext.declarative import declarative_base
diff --git a/manila/exception.py b/manila/exception.py
index 4836e92..a4a95fc 100644
--- a/manila/exception.py
+++ b/manila/exception.py
@@ -23,7 +23,7 @@ SHOULD include dedicated exception logging.
 """
 
 from oslo_concurrency import processutils
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 import six
 import webob.exc
diff --git a/manila/i18n.py b/manila/i18n.py
index 6c4169e..0c344d4 100644
--- a/manila/i18n.py
+++ b/manila/i18n.py
@@ -18,11 +18,11 @@ See http://docs.openstack.org/developer/oslo.i18n/usage.html .
 
 """
 
-import oslo_i18n
+import oslo.i18n
 
 DOMAIN = 'manila'
 
-_translators = oslo_i18n.TranslatorFactory(domain=DOMAIN)
+_translators = oslo.i18n.TranslatorFactory(domain=DOMAIN)
 
 # The primary translation function using the well-known name "_"
 _ = _translators.primary
@@ -39,12 +39,12 @@ _LC = _translators.log_critical
 
 
 def enable_lazy():
-    return oslo_i18n.enable_lazy()
+    return oslo.i18n.enable_lazy()
 
 
 def translate(value, user_locale):
-    return oslo_i18n.translate(value, user_locale)
+    return oslo.i18n.translate(value, user_locale)
 
 
 def get_available_languages():
-    return oslo_i18n.get_available_languages(DOMAIN)
+    return oslo.i18n.get_available_languages(DOMAIN)
diff --git a/manila/manager.py b/manila/manager.py
index 766efb1..28e782d 100644
--- a/manila/manager.py
+++ b/manila/manager.py
@@ -51,7 +51,7 @@ This module provides Manager, a base class for managers.
 
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 import six
 
@@ -135,7 +135,7 @@ class Manager(base.Base):
 
     @property
     def target(self):
-        """This property is used by oslo_messaging.
+        """This property is used by oslo.messaging.
 
         https://wiki.openstack.org/wiki/Oslo/Messaging#API_Version_Negotiation
         """
diff --git a/manila/network/__init__.py b/manila/network/__init__.py
index 88f5669..ce228c0 100644
--- a/manila/network/__init__.py
+++ b/manila/network/__init__.py
@@ -15,8 +15,8 @@
 #    under the License.
 import abc
 
-from oslo_config import cfg
-from oslo_utils import importutils
+from oslo.config import cfg
+from oslo.utils import importutils
 
 from manila.db import base as db_base
 
diff --git a/manila/network/linux/interface.py b/manila/network/linux/interface.py
index f1ec214..2100ce6 100644
--- a/manila/network/linux/interface.py
+++ b/manila/network/linux/interface.py
@@ -16,7 +16,7 @@
 import abc
 
 import netaddr
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 import six
 
diff --git a/manila/network/neutron/api.py b/manila/network/neutron/api.py
index a9de69c..c1a37f6 100644
--- a/manila/network/neutron/api.py
+++ b/manila/network/neutron/api.py
@@ -16,7 +16,7 @@
 
 from neutronclient.common import exceptions as neutron_client_exc
 from neutronclient.v2_0 import client as clientv20
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 from manila import context
diff --git a/manila/network/neutron/neutron_network_plugin.py b/manila/network/neutron/neutron_network_plugin.py
index 8b3d13a..0f3c0da 100644
--- a/manila/network/neutron/neutron_network_plugin.py
+++ b/manila/network/neutron/neutron_network_plugin.py
@@ -14,7 +14,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 from manila.common import constants
diff --git a/manila/network/nova_network_plugin.py b/manila/network/nova_network_plugin.py
index 2b32d2d..5d1d0d8 100644
--- a/manila/network/nova_network_plugin.py
+++ b/manila/network/nova_network_plugin.py
@@ -14,7 +14,7 @@
 #    under the License.
 
 import netaddr
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 import six
 
diff --git a/manila/network/standalone_network_plugin.py b/manila/network/standalone_network_plugin.py
index b7d501d..75814fd 100644
--- a/manila/network/standalone_network_plugin.py
+++ b/manila/network/standalone_network_plugin.py
@@ -14,7 +14,7 @@
 #    under the License.
 
 import netaddr
-from oslo_config import cfg
+from oslo.config import cfg
 import six
 
 from manila.common import constants
diff --git a/manila/quota.py b/manila/quota.py
index eeee714..a3c12a3 100644
--- a/manila/quota.py
+++ b/manila/quota.py
@@ -18,10 +18,10 @@
 
 import datetime
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import importutils
-from oslo_utils import timeutils
+from oslo.utils import importutils
+from oslo.utils import timeutils
 import six
 
 from manila import db
diff --git a/manila/rpc.py b/manila/rpc.py
index 3d61489..dabe4ae 100644
--- a/manila/rpc.py
+++ b/manila/rpc.py
@@ -27,8 +27,8 @@ __all__ = [
 ]
 
 from oslo import messaging
-from oslo_config import cfg
-from oslo_serialization import jsonutils
+from oslo.config import cfg
+from oslo.serialization import jsonutils
 
 import manila.context
 import manila.exception
diff --git a/manila/scheduler/chance.py b/manila/scheduler/chance.py
index 5df2cad..56af334 100644
--- a/manila/scheduler/chance.py
+++ b/manila/scheduler/chance.py
@@ -21,7 +21,7 @@ Chance (Random) Scheduler implementation
 
 import random
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import exception
 from manila.i18n import _
diff --git a/manila/scheduler/driver.py b/manila/scheduler/driver.py
index 3cb7668..403be38 100644
--- a/manila/scheduler/driver.py
+++ b/manila/scheduler/driver.py
@@ -19,9 +19,9 @@
 Scheduler base class that all Schedulers should inherit from
 """
 
-from oslo_config import cfg
-from oslo_utils import importutils
-from oslo_utils import timeutils
+from oslo.config import cfg
+from oslo.utils import importutils
+from oslo.utils import timeutils
 
 from manila import db
 from manila.i18n import _
diff --git a/manila/scheduler/filter_scheduler.py b/manila/scheduler/filter_scheduler.py
index b42637d..90efcce 100644
--- a/manila/scheduler/filter_scheduler.py
+++ b/manila/scheduler/filter_scheduler.py
@@ -20,7 +20,7 @@ You can customize this scheduler by specifying your own share Filters and
 Weighing Functions.
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 from manila import exception
diff --git a/manila/scheduler/host_manager.py b/manila/scheduler/host_manager.py
index 4833dfe..3ff4764 100644
--- a/manila/scheduler/host_manager.py
+++ b/manila/scheduler/host_manager.py
@@ -22,9 +22,9 @@ Manage hosts in the current zone.
 import re
 import UserDict
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 import six
 
 from manila import db
diff --git a/manila/scheduler/manager.py b/manila/scheduler/manager.py
index 86b8479..9861f08 100644
--- a/manila/scheduler/manager.py
+++ b/manila/scheduler/manager.py
@@ -19,10 +19,10 @@
 Scheduler Service
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import excutils
-from oslo_utils import importutils
+from oslo.utils import excutils
+from oslo.utils import importutils
 
 from manila import context
 from manila import db
diff --git a/manila/scheduler/rpcapi.py b/manila/scheduler/rpcapi.py
index f983830..0ad4f69 100644
--- a/manila/scheduler/rpcapi.py
+++ b/manila/scheduler/rpcapi.py
@@ -17,8 +17,8 @@ Client side of the scheduler manager RPC API.
 """
 
 from oslo import messaging
-from oslo_config import cfg
-from oslo_serialization import jsonutils
+from oslo.config import cfg
+from oslo.serialization import jsonutils
 
 from manila import rpc
 
diff --git a/manila/scheduler/scheduler_options.py b/manila/scheduler/scheduler_options.py
index c39125e..d053bc4 100644
--- a/manila/scheduler/scheduler_options.py
+++ b/manila/scheduler/scheduler_options.py
@@ -23,10 +23,10 @@ dynamic configuration.
 import datetime
 import os
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_serialization import jsonutils
-from oslo_utils import timeutils
+from oslo.serialization import jsonutils
+from oslo.utils import timeutils
 
 from manila.i18n import _LE
 
diff --git a/manila/scheduler/simple.py b/manila/scheduler/simple.py
index b41e87f..3f36342 100644
--- a/manila/scheduler/simple.py
+++ b/manila/scheduler/simple.py
@@ -19,7 +19,7 @@
 Simple Scheduler
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import db
 from manila import exception
diff --git a/manila/scheduler/weights/capacity.py b/manila/scheduler/weights/capacity.py
index 348bcdf..b30cff4 100644
--- a/manila/scheduler/weights/capacity.py
+++ b/manila/scheduler/weights/capacity.py
@@ -22,7 +22,7 @@ number and the weighing has the opposite effect of the default.
 
 import math
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 
 from manila.openstack.common.scheduler import weights
diff --git a/manila/service.py b/manila/service.py
index 8da9c88..5d08567 100644
--- a/manila/service.py
+++ b/manila/service.py
@@ -28,9 +28,9 @@ import time
 import eventlet
 import greenlet
 from oslo import messaging
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import importutils
+from oslo.utils import importutils
 
 from manila import context
 from manila import db
diff --git a/manila/share/__init__.py b/manila/share/__init__.py
index 986c1c7..7d6bfad 100644
--- a/manila/share/__init__.py
+++ b/manila/share/__init__.py
@@ -16,7 +16,7 @@
 
 # Importing full names to not pollute the namespace and cause possible
 # collisions with use of 'from manila.share import <foo>' elsewhere.
-import oslo_utils.importutils as import_utils
+import oslo.utils.importutils as import_utils
 
 from manila.common import config
 
diff --git a/manila/share/api.py b/manila/share/api.py
index 99a69a7..c643aa9 100644
--- a/manila/share/api.py
+++ b/manila/share/api.py
@@ -19,11 +19,11 @@
 Handles all requests relating to shares.
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import excutils
-from oslo_utils import strutils
-from oslo_utils import timeutils
+from oslo.utils import excutils
+from oslo.utils import strutils
+from oslo.utils import timeutils
 import six
 
 from manila.api import extensions
diff --git a/manila/share/configuration.py b/manila/share/configuration.py
index a8d1810..d204f48 100644
--- a/manila/share/configuration.py
+++ b/manila/share/configuration.py
@@ -42,7 +42,7 @@ option group. This is due to the way cfg works. All cfg options must be defined
 and registered in the group in which they are used.
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 CONF = cfg.CONF
diff --git a/manila/share/driver.py b/manila/share/driver.py
index 19187e2..b9f20d5 100644
--- a/manila/share/driver.py
+++ b/manila/share/driver.py
@@ -20,7 +20,7 @@ Drivers for shares.
 
 import time
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 from manila import exception
diff --git a/manila/share/drivers/emc/driver.py b/manila/share/drivers/emc/driver.py
index 25967cf..2659538 100644
--- a/manila/share/drivers/emc/driver.py
+++ b/manila/share/drivers/emc/driver.py
@@ -20,7 +20,7 @@ backend. Use the Manila configuration variable "share_backend_name"
 to specify, which backend plugins to use.
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 from manila.share import driver
diff --git a/manila/share/drivers/emc/plugins/isilon/isilon.py b/manila/share/drivers/emc/plugins/isilon/isilon.py
index a583f9e..c1e8c0c 100644
--- a/manila/share/drivers/emc/plugins/isilon/isilon.py
+++ b/manila/share/drivers/emc/plugins/isilon/isilon.py
@@ -18,7 +18,7 @@ Isilon specific NAS backend plugin.
 """
 import os
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 import six
 
diff --git a/manila/share/drivers/emc/plugins/isilon/isilon_api.py b/manila/share/drivers/emc/plugins/isilon/isilon_api.py
index 57fbd8c..990b557 100644
--- a/manila/share/drivers/emc/plugins/isilon/isilon_api.py
+++ b/manila/share/drivers/emc/plugins/isilon/isilon_api.py
@@ -14,7 +14,7 @@
 #    under the License.
 
 from oslo_log import log
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import requests
 import six
 
diff --git a/manila/share/drivers/emc/plugins/vnx/connection.py b/manila/share/drivers/emc/plugins/vnx/connection.py
index 09b772c..7569b93 100644
--- a/manila/share/drivers/emc/plugins/vnx/connection.py
+++ b/manila/share/drivers/emc/plugins/vnx/connection.py
@@ -14,8 +14,8 @@
 #    under the License.
 """VNX backend for the EMC Manila driver."""
 from oslo_log import log
-from oslo_utils import excutils
-from oslo_utils import units
+from oslo.utils import excutils
+from oslo.utils import units
 import six
 
 from manila import db as manila_db
diff --git a/manila/share/drivers/emc/plugins/vnx/utils.py b/manila/share/drivers/emc/plugins/vnx/utils.py
index 981eac6..c3e6b8d 100644
--- a/manila/share/drivers/emc/plugins/vnx/utils.py
+++ b/manila/share/drivers/emc/plugins/vnx/utils.py
@@ -14,9 +14,9 @@
 #    under the License.
 import types
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 
 CONF = cfg.CONF
 LOG = log.getLogger(__name__)
diff --git a/manila/share/drivers/ganesha/__init__.py b/manila/share/drivers/ganesha/__init__.py
index cf8a643..d69b3dc 100644
--- a/manila/share/drivers/ganesha/__init__.py
+++ b/manila/share/drivers/ganesha/__init__.py
@@ -18,7 +18,7 @@ import errno
 import os
 import re
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 import six
 
diff --git a/manila/share/drivers/ganesha/manager.py b/manila/share/drivers/ganesha/manager.py
index 66aceea..711afbf 100644
--- a/manila/share/drivers/ganesha/manager.py
+++ b/manila/share/drivers/ganesha/manager.py
@@ -19,7 +19,7 @@ import re
 import sys
 
 from oslo_log import log
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import six
 
 from manila import exception
diff --git a/manila/share/drivers/generic.py b/manila/share/drivers/generic.py
index 266668d..f3e5bf9 100644
--- a/manila/share/drivers/generic.py
+++ b/manila/share/drivers/generic.py
@@ -20,11 +20,11 @@ import re
 import time
 
 from oslo_concurrency import processutils
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import excutils
-from oslo_utils import importutils
-from oslo_utils import strutils
+from oslo.utils import excutils
+from oslo.utils import importutils
+from oslo.utils import strutils
 import six
 
 from manila.common import constants as const
diff --git a/manila/share/drivers/glusterfs.py b/manila/share/drivers/glusterfs.py
index ee9c4eb..7be6e4f 100644
--- a/manila/share/drivers/glusterfs.py
+++ b/manila/share/drivers/glusterfs.py
@@ -29,7 +29,7 @@ import re
 import sys
 import xml.etree.cElementTree as etree
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 import six
 
diff --git a/manila/share/drivers/glusterfs_native.py b/manila/share/drivers/glusterfs_native.py
index 588c55c..508386a 100644
--- a/manila/share/drivers/glusterfs_native.py
+++ b/manila/share/drivers/glusterfs_native.py
@@ -34,7 +34,7 @@ import string
 import tempfile
 import xml.etree.cElementTree as etree
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 import six
 
diff --git a/manila/share/drivers/hdfs/hdfs_native.py b/manila/share/drivers/hdfs/hdfs_native.py
index e5bed82..d7e42d8 100644
--- a/manila/share/drivers/hdfs/hdfs_native.py
+++ b/manila/share/drivers/hdfs/hdfs_native.py
@@ -31,8 +31,8 @@ import pipes
 import socket
 
 from oslo_concurrency import processutils
-from oslo_config import cfg
-from oslo_utils import units
+from oslo.config import cfg
+from oslo.utils import units
 import six
 
 from manila import exception
diff --git a/manila/share/drivers/hds/sop.py b/manila/share/drivers/hds/sop.py
index a87f57c..2563f5d 100644
--- a/manila/share/drivers/hds/sop.py
+++ b/manila/share/drivers/hds/sop.py
@@ -22,10 +22,10 @@ import socket
 import time
 
 import httplib2
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_serialization import jsonutils as json
-from oslo_utils import units
+from oslo.serialization import jsonutils as json
+from oslo.utils import units
 import six
 
 from manila import exception
diff --git a/manila/share/drivers/hp/hp_3par_driver.py b/manila/share/drivers/hp/hp_3par_driver.py
index 49b774b..9ee4a2d 100644
--- a/manila/share/drivers/hp/hp_3par_driver.py
+++ b/manila/share/drivers/hp/hp_3par_driver.py
@@ -19,7 +19,7 @@ import inspect
 import logging
 import os
 
-from oslo_config import cfg
+from oslo.config import cfg
 import six
 
 from manila import exception
diff --git a/manila/share/drivers/hp/hp_3par_mediator.py b/manila/share/drivers/hp/hp_3par_mediator.py
index f05c2c8..ed86380 100644
--- a/manila/share/drivers/hp/hp_3par_mediator.py
+++ b/manila/share/drivers/hp/hp_3par_mediator.py
@@ -18,8 +18,8 @@ This 'mediator' de-couples the 3PAR focused client from the OpenStack focused
 driver.
 """
 
-from oslo_utils import importutils
-from oslo_utils import units
+from oslo.utils import importutils
+from oslo.utils import units
 import six
 
 from manila import exception
diff --git a/manila/share/drivers/huawei/huawei_helper.py b/manila/share/drivers/huawei/huawei_helper.py
index 48a9597..b157fb5 100644
--- a/manila/share/drivers/huawei/huawei_helper.py
+++ b/manila/share/drivers/huawei/huawei_helper.py
@@ -17,8 +17,8 @@ import base64
 from xml.etree import ElementTree as ET
 
 from oslo_log import log
-from oslo_serialization import jsonutils
-from oslo_utils import units
+from oslo.serialization import jsonutils
+from oslo.utils import units
 import six
 from six.moves import http_cookiejar
 from six.moves.urllib import request as urlreq  # pylint: disable=E0611
diff --git a/manila/share/drivers/huawei/huawei_nas.py b/manila/share/drivers/huawei/huawei_nas.py
index 714b6df..2ea62ac 100644
--- a/manila/share/drivers/huawei/huawei_nas.py
+++ b/manila/share/drivers/huawei/huawei_nas.py
@@ -16,10 +16,10 @@
 """Huawei Nas Driver for Huawei OceanStor V3 storage arrays."""
 import time
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import excutils
-from oslo_utils import units
+from oslo.utils import excutils
+from oslo.utils import units
 
 from manila import exception
 from manila.i18n import _, _LI, _LW
diff --git a/manila/share/drivers/ibm/gpfs.py b/manila/share/drivers/ibm/gpfs.py
index afa45e6..3f5c591 100644
--- a/manila/share/drivers/ibm/gpfs.py
+++ b/manila/share/drivers/ibm/gpfs.py
@@ -36,12 +36,12 @@ import pipes
 import re
 import socket
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import excutils
-from oslo_utils import importutils
-from oslo_utils import strutils
-from oslo_utils import units
+from oslo.utils import excutils
+from oslo.utils import importutils
+from oslo.utils import strutils
+from oslo.utils import units
 import six
 
 from manila import exception
diff --git a/manila/share/drivers/netapp/common.py b/manila/share/drivers/netapp/common.py
index 1a1a554..1937fcf 100644
--- a/manila/share/drivers/netapp/common.py
+++ b/manila/share/drivers/netapp/common.py
@@ -18,7 +18,7 @@ Supports multiple storage systems of different families and driver modes.
 """
 
 from oslo_log import log
-from oslo_utils import importutils
+from oslo.utils import importutils
 
 from manila import exception
 from manila.i18n import _, _LI
diff --git a/manila/share/drivers/netapp/dataontap/client/client_base.py b/manila/share/drivers/netapp/dataontap/client/client_base.py
index 4a90ae0..d355e0f 100644
--- a/manila/share/drivers/netapp/dataontap/client/client_base.py
+++ b/manila/share/drivers/netapp/dataontap/client/client_base.py
@@ -14,7 +14,7 @@
 #    under the License.
 
 from oslo_log import log
-from oslo_utils import excutils
+from oslo.utils import excutils
 
 from manila.i18n import _LE
 from manila.share.drivers.netapp.dataontap.client import api as netapp_api
diff --git a/manila/share/drivers/netapp/dataontap/client/client_cmode.py b/manila/share/drivers/netapp/dataontap/client/client_cmode.py
index 5b73a84..9b23e35 100644
--- a/manila/share/drivers/netapp/dataontap/client/client_cmode.py
+++ b/manila/share/drivers/netapp/dataontap/client/client_cmode.py
@@ -19,7 +19,7 @@ import copy
 import hashlib
 
 from oslo_log import log
-from oslo_utils import strutils
+from oslo.utils import strutils
 import six
 
 from manila import exception
diff --git a/manila/share/drivers/netapp/dataontap/cluster_mode/lib_base.py b/manila/share/drivers/netapp/dataontap/cluster_mode/lib_base.py
index 932d253..71f476c 100644
--- a/manila/share/drivers/netapp/dataontap/cluster_mode/lib_base.py
+++ b/manila/share/drivers/netapp/dataontap/cluster_mode/lib_base.py
@@ -24,7 +24,7 @@ import socket
 import time
 
 from oslo_log import log
-from oslo_utils import units
+from oslo.utils import units
 import six
 
 from manila import exception
diff --git a/manila/share/drivers/netapp/dataontap/cluster_mode/lib_multi_svm.py b/manila/share/drivers/netapp/dataontap/cluster_mode/lib_multi_svm.py
index 065ca1d..9e66914 100644
--- a/manila/share/drivers/netapp/dataontap/cluster_mode/lib_multi_svm.py
+++ b/manila/share/drivers/netapp/dataontap/cluster_mode/lib_multi_svm.py
@@ -23,7 +23,7 @@ as needed to provision shares.
 import re
 
 from oslo_log import log
-from oslo_utils import excutils
+from oslo.utils import excutils
 
 from manila import context
 from manila import exception
diff --git a/manila/share/drivers/netapp/options.py b/manila/share/drivers/netapp/options.py
index d857658..ad544af 100644
--- a/manila/share/drivers/netapp/options.py
+++ b/manila/share/drivers/netapp/options.py
@@ -20,7 +20,7 @@ individual modules. It is recommended to Keep options at a single
 place to ensure re usability and better management of configuration options.
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 netapp_proxy_opts = [
     cfg.StrOpt('netapp_storage_family',
diff --git a/manila/share/drivers/quobyte/jsonrpc.py b/manila/share/drivers/quobyte/jsonrpc.py
index 7f58450..bca8bbd 100644
--- a/manila/share/drivers/quobyte/jsonrpc.py
+++ b/manila/share/drivers/quobyte/jsonrpc.py
@@ -25,7 +25,7 @@ import ssl
 import time
 
 from oslo_log import log
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import six
 import six.moves.urllib.parse as urlparse
 
diff --git a/manila/share/drivers/quobyte/quobyte.py b/manila/share/drivers/quobyte/quobyte.py
index e5c7e65..49383e7 100644
--- a/manila/share/drivers/quobyte/quobyte.py
+++ b/manila/share/drivers/quobyte/quobyte.py
@@ -20,7 +20,7 @@ Manila shares are directly mapped to Quobyte volumes. The access to the
 shares is provided by the Quobyte NFS proxy (a Ganesha NFS server).
 """
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 import manila.common.constants
diff --git a/manila/share/drivers/service_instance.py b/manila/share/drivers/service_instance.py
index 62d876f..c468bfd 100644
--- a/manila/share/drivers/service_instance.py
+++ b/manila/share/drivers/service_instance.py
@@ -22,9 +22,9 @@ import socket
 import time
 
 import netaddr
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import importutils
+from oslo.utils import importutils
 import six
 
 from manila.common import constants as const
diff --git a/manila/share/drivers/zfssa/restclient.py b/manila/share/drivers/zfssa/restclient.py
index c850c9c..d8d3747 100644
--- a/manila/share/drivers/zfssa/restclient.py
+++ b/manila/share/drivers/zfssa/restclient.py
@@ -21,7 +21,7 @@ TODO(diemtran): this module needs to be placed in a library common to OpenStack
 import httplib
 import time
 
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import six
 # pylint: disable=E0611,F0401
 from six.moves.urllib import error as urlerror
diff --git a/manila/share/drivers/zfssa/zfssarest.py b/manila/share/drivers/zfssa/zfssarest.py
index e984793..7281100 100644
--- a/manila/share/drivers/zfssa/zfssarest.py
+++ b/manila/share/drivers/zfssa/zfssarest.py
@@ -15,7 +15,7 @@
 ZFS Storage Appliance Proxy
 """
 from oslo_log import log
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 
 from manila import exception
 from manila.i18n import _
diff --git a/manila/share/drivers/zfssa/zfssashare.py b/manila/share/drivers/zfssa/zfssashare.py
index 1eb574f..75ee69b 100644
--- a/manila/share/drivers/zfssa/zfssashare.py
+++ b/manila/share/drivers/zfssa/zfssashare.py
@@ -17,9 +17,9 @@ ZFS Storage Appliance Manila Share Driver
 
 import base64
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import units
+from oslo.utils import units
 
 from manila import exception
 from manila.i18n import _
diff --git a/manila/share/manager.py b/manila/share/manager.py
index 5be779c..52ba74b 100644
--- a/manila/share/manager.py
+++ b/manila/share/manager.py
@@ -21,12 +21,12 @@
 
 import datetime
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_serialization import jsonutils
-from oslo_utils import excutils
-from oslo_utils import importutils
-from oslo_utils import timeutils
+from oslo.serialization import jsonutils
+from oslo.utils import excutils
+from oslo.utils import importutils
+from oslo.utils import timeutils
 import six
 
 from manila.common import constants
diff --git a/manila/share/rpcapi.py b/manila/share/rpcapi.py
index adcd8ef..d6ee927 100644
--- a/manila/share/rpcapi.py
+++ b/manila/share/rpcapi.py
@@ -17,8 +17,8 @@ Client side of the share RPC API.
 """
 
 from oslo import messaging
-from oslo_config import cfg
-from oslo_serialization import jsonutils
+from oslo.config import cfg
+from oslo.serialization import jsonutils
 
 from manila import rpc
 from manila.share import utils
diff --git a/manila/share/share_types.py b/manila/share/share_types.py
index 0977b12..43cbdbe 100644
--- a/manila/share/share_types.py
+++ b/manila/share/share_types.py
@@ -16,11 +16,11 @@
 """Built-in share type properties."""
 
 
-from oslo_config import cfg
-from oslo_db import exception as db_exception
+from oslo.config import cfg
+from oslo.db import exception as db_exception
 from oslo_log import log
-from oslo_utils import strutils
-from oslo_utils import uuidutils
+from oslo.utils import strutils
+from oslo.utils import uuidutils
 import six
 
 from manila.common import constants
diff --git a/manila/test.py b/manila/test.py
index a33ce02..eb8abc4 100644
--- a/manila/test.py
+++ b/manila/test.py
@@ -28,10 +28,10 @@ import uuid
 import fixtures
 import mock
 from oslo_concurrency import lockutils
-from oslo_config import cfg
-from oslo_config import fixture as config_fixture
+from oslo.config import cfg
+from oslo.config import fixture as config_fixture
 from oslo_log import log
-from oslo_messaging import conffixture as messaging_conffixture
+from oslo.messaging import conffixture as messaging_conffixture
 import oslotest.base as base_test
 import six
 
diff --git a/manila/tests/api/contrib/test_admin_actions.py b/manila/tests/api/contrib/test_admin_actions.py
index 1cd9c77..0868216 100644
--- a/manila/tests/api/contrib/test_admin_actions.py
+++ b/manila/tests/api/contrib/test_admin_actions.py
@@ -13,8 +13,8 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_config import cfg
-from oslo_serialization import jsonutils
+from oslo.config import cfg
+from oslo.serialization import jsonutils
 import webob
 
 from manila import context
diff --git a/manila/tests/api/contrib/test_services.py b/manila/tests/api/contrib/test_services.py
index a81dde1..2073d03 100644
--- a/manila/tests/api/contrib/test_services.py
+++ b/manila/tests/api/contrib/test_services.py
@@ -17,7 +17,7 @@
 
 import datetime
 
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 
 from manila.api.contrib import services
 from manila import context
diff --git a/manila/tests/api/contrib/test_share_actions.py b/manila/tests/api/contrib/test_share_actions.py
index 62c26cd..75132f1 100644
--- a/manila/tests/api/contrib/test_share_actions.py
+++ b/manila/tests/api/contrib/test_share_actions.py
@@ -14,7 +14,7 @@
 
 import ddt
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 import webob
 
 from manila.api.contrib import share_actions
diff --git a/manila/tests/api/contrib/test_types_extra_specs.py b/manila/tests/api/contrib/test_types_extra_specs.py
index bb1ba46..3c2eb19 100644
--- a/manila/tests/api/contrib/test_types_extra_specs.py
+++ b/manila/tests/api/contrib/test_types_extra_specs.py
@@ -17,7 +17,7 @@
 
 import ddt
 import mock
-from oslo_utils import strutils
+from oslo.utils import strutils
 import webob
 
 from manila.api.contrib import types_extra_specs
diff --git a/manila/tests/api/fakes.py b/manila/tests/api/fakes.py
index 554eba0..f421408 100644
--- a/manila/tests/api/fakes.py
+++ b/manila/tests/api/fakes.py
@@ -15,7 +15,7 @@
 
 import uuid
 
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 import routes
 import six
 import webob
diff --git a/manila/tests/api/middleware/test_faults.py b/manila/tests/api/middleware/test_faults.py
index db80295..0be67a4 100644
--- a/manila/tests/api/middleware/test_faults.py
+++ b/manila/tests/api/middleware/test_faults.py
@@ -13,7 +13,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import webob
 import webob.dec
 import webob.exc
diff --git a/manila/tests/api/middleware/test_sizelimit.py b/manila/tests/api/middleware/test_sizelimit.py
index 9c18d9b..9f69874 100644
--- a/manila/tests/api/middleware/test_sizelimit.py
+++ b/manila/tests/api/middleware/test_sizelimit.py
@@ -12,7 +12,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_config import cfg
+from oslo.config import cfg
 import six
 import webob
 
diff --git a/manila/tests/api/test_extensions.py b/manila/tests/api/test_extensions.py
index c478f77..36609dd 100644
--- a/manila/tests/api/test_extensions.py
+++ b/manila/tests/api/test_extensions.py
@@ -17,8 +17,8 @@
 import ddt
 import iso8601
 import mock
-from oslo_config import cfg
-from oslo_serialization import jsonutils
+from oslo.config import cfg
+from oslo.serialization import jsonutils
 import webob
 
 from manila.api import extensions
diff --git a/manila/tests/api/test_router.py b/manila/tests/api/test_router.py
index 09b6a6d..8673446 100644
--- a/manila/tests/api/test_router.py
+++ b/manila/tests/api/test_router.py
@@ -13,7 +13,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 from manila.api.openstack import wsgi
diff --git a/manila/tests/api/v1/test_limits.py b/manila/tests/api/v1/test_limits.py
index f8354b8..c50d515 100644
--- a/manila/tests/api/v1/test_limits.py
+++ b/manila/tests/api/v1/test_limits.py
@@ -19,7 +19,7 @@ Tests dealing with HTTP rate-limiting.
 
 import httplib
 
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import six
 from six import moves
 import webob
diff --git a/manila/tests/api/v1/test_share_metadata.py b/manila/tests/api/v1/test_share_metadata.py
index d11f03b..39d0b18 100644
--- a/manila/tests/api/v1/test_share_metadata.py
+++ b/manila/tests/api/v1/test_share_metadata.py
@@ -16,8 +16,8 @@
 import uuid
 
 import ddt
-from oslo_config import cfg
-from oslo_serialization import jsonutils
+from oslo.config import cfg
+from oslo.serialization import jsonutils
 import webob
 
 from manila.api.v1 import share_metadata
diff --git a/manila/tests/api/v1/test_share_networks.py b/manila/tests/api/v1/test_share_networks.py
index 86ba6c9..c5e2124 100644
--- a/manila/tests/api/v1/test_share_networks.py
+++ b/manila/tests/api/v1/test_share_networks.py
@@ -15,8 +15,8 @@
 
 import ddt
 import mock
-from oslo_db import exception as db_exception
-from oslo_utils import timeutils
+from oslo.db import exception as db_exception
+from oslo.utils import timeutils
 from six.moves.urllib import parse
 from webob import exc as webob_exc
 
diff --git a/manila/tests/api/v1/test_share_types.py b/manila/tests/api/v1/test_share_types.py
index e4fb8fa..2f36401 100644
--- a/manila/tests/api/v1/test_share_types.py
+++ b/manila/tests/api/v1/test_share_types.py
@@ -15,7 +15,7 @@
 
 import ddt
 import mock
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 import webob
 
 from manila.api.v1 import share_types as types
diff --git a/manila/tests/api/v1/test_shares.py b/manila/tests/api/v1/test_shares.py
index 09eea8e..26b56d9 100644
--- a/manila/tests/api/v1/test_shares.py
+++ b/manila/tests/api/v1/test_shares.py
@@ -17,7 +17,7 @@ import copy
 import datetime
 
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 import webob
 
 from manila.api import common
diff --git a/manila/tests/db/migrations/alembic/test_migration.py b/manila/tests/db/migrations/alembic/test_migration.py
index b0903d1..12a19a4 100644
--- a/manila/tests/db/migrations/alembic/test_migration.py
+++ b/manila/tests/db/migrations/alembic/test_migration.py
@@ -19,8 +19,8 @@ Tests for database migrations.
 
 from alembic import script
 import mock
-from oslo_db.sqlalchemy import test_base
-from oslo_db.sqlalchemy import test_migrations
+from oslo.db.sqlalchemy import test_base
+from oslo.db.sqlalchemy import test_migrations
 from oslo_log import log
 from sqlalchemy.sql import text
 
diff --git a/manila/tests/declare_conf.py b/manila/tests/declare_conf.py
index 7796d9d..5f1e1ce 100644
--- a/manila/tests/declare_conf.py
+++ b/manila/tests/declare_conf.py
@@ -14,7 +14,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 
 CONF = cfg.CONF
diff --git a/manila/tests/fake_compute.py b/manila/tests/fake_compute.py
index fdf14ff..db7d459 100644
--- a/manila/tests/fake_compute.py
+++ b/manila/tests/fake_compute.py
@@ -14,7 +14,7 @@
 #    under the License.
 
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 CONF = cfg.CONF
diff --git a/manila/tests/fake_network.py b/manila/tests/fake_network.py
index 3c744ca..a53ef53 100644
--- a/manila/tests/fake_network.py
+++ b/manila/tests/fake_network.py
@@ -15,7 +15,7 @@
 
 import uuid
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 CONF = cfg.CONF
diff --git a/manila/tests/fake_notifier.py b/manila/tests/fake_notifier.py
index 78c039b..3a36bd2 100644
--- a/manila/tests/fake_notifier.py
+++ b/manila/tests/fake_notifier.py
@@ -16,7 +16,7 @@ import collections
 import functools
 
 from oslo import messaging
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 
 from manila import rpc
 
diff --git a/manila/tests/fake_volume.py b/manila/tests/fake_volume.py
index 86868ab..ed6fa43 100644
--- a/manila/tests/fake_volume.py
+++ b/manila/tests/fake_volume.py
@@ -14,7 +14,7 @@
 #    under the License.
 
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 CONF = cfg.CONF
diff --git a/manila/tests/integrated/api/client.py b/manila/tests/integrated/api/client.py
index 9984402..7f09ea2 100644
--- a/manila/tests/integrated/api/client.py
+++ b/manila/tests/integrated/api/client.py
@@ -15,7 +15,7 @@
 import httplib
 
 from oslo_log import log
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 from six.moves.urllib import parse
 
 LOG = log.getLogger(__name__)
diff --git a/manila/tests/integrated/integrated_helpers.py b/manila/tests/integrated/integrated_helpers.py
index 0f9e6d9..87ae9e7 100644
--- a/manila/tests/integrated/integrated_helpers.py
+++ b/manila/tests/integrated/integrated_helpers.py
@@ -27,7 +27,7 @@ from manila import service
 from manila import test  # For the flags
 from manila.tests.integrated.api import client
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 CONF = cfg.CONF
 LOG = log.getLogger(__name__)
diff --git a/manila/tests/integrated/test_extensions.py b/manila/tests/integrated/test_extensions.py
index 623e13b..a846e57 100644
--- a/manila/tests/integrated/test_extensions.py
+++ b/manila/tests/integrated/test_extensions.py
@@ -13,7 +13,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 from manila.tests.integrated import integrated_helpers
diff --git a/manila/tests/network/neutron/test_neutron_api.py b/manila/tests/network/neutron/test_neutron_api.py
index c8b9b9f..d6bb604 100644
--- a/manila/tests/network/neutron/test_neutron_api.py
+++ b/manila/tests/network/neutron/test_neutron_api.py
@@ -17,7 +17,7 @@
 import mock
 from neutronclient.common import exceptions as neutron_client_exc
 from neutronclient.v2_0 import client as clientv20
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import context
 from manila.db import base
diff --git a/manila/tests/network/neutron/test_neutron_plugin.py b/manila/tests/network/neutron/test_neutron_plugin.py
index 5a3f4d9..69b7d84 100644
--- a/manila/tests/network/neutron/test_neutron_plugin.py
+++ b/manila/tests/network/neutron/test_neutron_plugin.py
@@ -16,7 +16,7 @@
 
 import ddt
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila.common import constants
 from manila import context
diff --git a/manila/tests/network/test_security_service_db.py b/manila/tests/network/test_security_service_db.py
index 23a183a..822a60e 100644
--- a/manila/tests/network/test_security_service_db.py
+++ b/manila/tests/network/test_security_service_db.py
@@ -13,7 +13,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_db import exception as db_exception
+from oslo.db import exception as db_exception
 
 from manila.common import constants
 from manila import context
diff --git a/manila/tests/network/test_share_network_db.py b/manila/tests/network/test_share_network_db.py
index d56e850..91f03b8 100644
--- a/manila/tests/network/test_share_network_db.py
+++ b/manila/tests/network/test_share_network_db.py
@@ -13,7 +13,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_db import exception as db_exception
+from oslo.db import exception as db_exception
 import six
 
 from manila import context
diff --git a/manila/tests/network/test_standalone_network_plugin.py b/manila/tests/network/test_standalone_network_plugin.py
index e653404..84375c0 100644
--- a/manila/tests/network/test_standalone_network_plugin.py
+++ b/manila/tests/network/test_standalone_network_plugin.py
@@ -16,7 +16,7 @@
 import ddt
 import mock
 import netaddr
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila.common import constants
 from manila import context
diff --git a/manila/tests/runtime_conf.py b/manila/tests/runtime_conf.py
index 974db7e..8f486f5 100644
--- a/manila/tests/runtime_conf.py
+++ b/manila/tests/runtime_conf.py
@@ -14,7 +14,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 
 CONF = cfg.CONF
diff --git a/manila/tests/scheduler/fakes.py b/manila/tests/scheduler/fakes.py
index 1af12f9..52f0a24 100644
--- a/manila/tests/scheduler/fakes.py
+++ b/manila/tests/scheduler/fakes.py
@@ -16,7 +16,7 @@
 Fakes For Scheduler tests.
 """
 
-from oslo_utils import timeutils
+from oslo.utils import timeutils
 import six
 
 from manila.scheduler import filter_scheduler
diff --git a/manila/tests/scheduler/test_capacity_weigher.py b/manila/tests/scheduler/test_capacity_weigher.py
index daadabc..ae8227f 100644
--- a/manila/tests/scheduler/test_capacity_weigher.py
+++ b/manila/tests/scheduler/test_capacity_weigher.py
@@ -17,7 +17,7 @@ Tests For Capacity Weigher.
 """
 
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import context
 from manila.openstack.common.scheduler import weights
diff --git a/manila/tests/scheduler/test_host_filters.py b/manila/tests/scheduler/test_host_filters.py
index c99f417..066a7c0 100644
--- a/manila/tests/scheduler/test_host_filters.py
+++ b/manila/tests/scheduler/test_host_filters.py
@@ -15,7 +15,7 @@
 Tests For Scheduler Host Filters.
 """
 
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 
 from manila import context
 from manila.openstack.common.scheduler import filters
diff --git a/manila/tests/scheduler/test_host_manager.py b/manila/tests/scheduler/test_host_manager.py
index 4c94933..8ff3b14 100644
--- a/manila/tests/scheduler/test_host_manager.py
+++ b/manila/tests/scheduler/test_host_manager.py
@@ -20,8 +20,8 @@ Tests For HostManager
 
 import ddt
 import mock
-from oslo_config import cfg
-from oslo_utils import timeutils
+from oslo.config import cfg
+from oslo.utils import timeutils
 from six import moves
 
 from manila import db
diff --git a/manila/tests/scheduler/test_rpcapi.py b/manila/tests/scheduler/test_rpcapi.py
index d68cd9d..995cd79 100644
--- a/manila/tests/scheduler/test_rpcapi.py
+++ b/manila/tests/scheduler/test_rpcapi.py
@@ -19,7 +19,7 @@ Unit Tests for manila.scheduler.rpcapi
 import copy
 
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import context
 from manila.scheduler import rpcapi as scheduler_rpcapi
diff --git a/manila/tests/scheduler/test_scheduler.py b/manila/tests/scheduler/test_scheduler.py
index e931306..9099b69 100644
--- a/manila/tests/scheduler/test_scheduler.py
+++ b/manila/tests/scheduler/test_scheduler.py
@@ -18,8 +18,8 @@ Tests For Scheduler
 """
 
 import mock
-from oslo_config import cfg
-from oslo_utils import timeutils
+from oslo.config import cfg
+from oslo.utils import timeutils
 
 from manila import context
 from manila import db
diff --git a/manila/tests/scheduler/test_scheduler_options.py b/manila/tests/scheduler/test_scheduler_options.py
index c7cb130..18d8e94 100644
--- a/manila/tests/scheduler/test_scheduler_options.py
+++ b/manila/tests/scheduler/test_scheduler_options.py
@@ -18,7 +18,7 @@ Tests For PickledScheduler.
 
 import datetime
 
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import six
 
 from manila.scheduler import scheduler_options
diff --git a/manila/tests/share/drivers/emc/plugins/isilon/test_isilon_api.py b/manila/tests/share/drivers/emc/plugins/isilon/test_isilon_api.py
index f2ce284..2640938 100644
--- a/manila/tests/share/drivers/emc/plugins/isilon/test_isilon_api.py
+++ b/manila/tests/share/drivers/emc/plugins/isilon/test_isilon_api.py
@@ -14,7 +14,7 @@
 #    under the License.
 
 import ddt
-from oslo_serialization import jsonutils as json
+from oslo.serialization import jsonutils as json
 import requests
 import requests_mock
 import six
diff --git a/manila/tests/share/drivers/emc/test_emc_vnx.py b/manila/tests/share/drivers/emc/test_emc_vnx.py
index 17fa4f8..ff7a8de 100644
--- a/manila/tests/share/drivers/emc/test_emc_vnx.py
+++ b/manila/tests/share/drivers/emc/test_emc_vnx.py
@@ -15,7 +15,7 @@
 import ddt
 import mock
 from oslo_log import log
-from oslo_utils import units
+from oslo.utils import units
 
 import manila.db
 from manila import exception
diff --git a/manila/tests/share/drivers/ganesha/test_manager.py b/manila/tests/share/drivers/ganesha/test_manager.py
index ef5dc25..b942010 100644
--- a/manila/tests/share/drivers/ganesha/test_manager.py
+++ b/manila/tests/share/drivers/ganesha/test_manager.py
@@ -17,7 +17,7 @@ import contextlib
 import re
 
 import mock
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import six
 
 from manila import exception
diff --git a/manila/tests/share/drivers/hdfs/test_hdfs_native.py b/manila/tests/share/drivers/hdfs/test_hdfs_native.py
index 296bf28..4b6b995 100644
--- a/manila/tests/share/drivers/hdfs/test_hdfs_native.py
+++ b/manila/tests/share/drivers/hdfs/test_hdfs_native.py
@@ -18,7 +18,7 @@ import socket
 
 import mock
 from oslo_concurrency import processutils
-from oslo_config import cfg
+from oslo.config import cfg
 import six
 
 from manila import context
diff --git a/manila/tests/share/drivers/hds/test_sop.py b/manila/tests/share/drivers/hds/test_sop.py
index 330277d..f70d250 100644
--- a/manila/tests/share/drivers/hds/test_sop.py
+++ b/manila/tests/share/drivers/hds/test_sop.py
@@ -19,9 +19,9 @@ import time
 
 import httplib2
 import mock
-from oslo_config import cfg
-from oslo_serialization import jsonutils as json
-from oslo_utils import units
+from oslo.config import cfg
+from oslo.serialization import jsonutils as json
+from oslo.utils import units
 
 from manila import context
 from manila import exception
diff --git a/manila/tests/share/drivers/hp/test_hp_3par_mediator.py b/manila/tests/share/drivers/hp/test_hp_3par_mediator.py
index b8a8bac..48b4ffa 100644
--- a/manila/tests/share/drivers/hp/test_hp_3par_mediator.py
+++ b/manila/tests/share/drivers/hp/test_hp_3par_mediator.py
@@ -24,7 +24,7 @@ from manila.share.drivers.hp import hp_3par_mediator as hp3parmediator
 from manila import test
 from manila.tests.share.drivers.hp import test_hp_3par_constants as constants
 
-from oslo_utils import units
+from oslo.utils import units
 
 
 @ddt.ddt
diff --git a/manila/tests/share/drivers/huawei/test_huawei_nas.py b/manila/tests/share/drivers/huawei/test_huawei_nas.py
index cf59b3c..f257565 100644
--- a/manila/tests/share/drivers/huawei/test_huawei_nas.py
+++ b/manila/tests/share/drivers/huawei/test_huawei_nas.py
@@ -23,7 +23,7 @@ import time
 import xml.dom.minidom
 
 import mock
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 
 from manila import context
 from manila import exception
diff --git a/manila/tests/share/drivers/ibm/test_ganesha_utils.py b/manila/tests/share/drivers/ibm/test_ganesha_utils.py
index b46d553..1975a34 100644
--- a/manila/tests/share/drivers/ibm/test_ganesha_utils.py
+++ b/manila/tests/share/drivers/ibm/test_ganesha_utils.py
@@ -18,7 +18,7 @@ import socket
 import time
 
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import exception
 import manila.share.drivers.ibm.ganesha_utils as ganesha_utils
diff --git a/manila/tests/share/drivers/ibm/test_gpfs.py b/manila/tests/share/drivers/ibm/test_gpfs.py
index ebc7907..fb377a5 100644
--- a/manila/tests/share/drivers/ibm/test_gpfs.py
+++ b/manila/tests/share/drivers/ibm/test_gpfs.py
@@ -19,7 +19,7 @@ import socket
 
 import ddt
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import context
 from manila import exception
diff --git a/manila/tests/share/drivers/quobyte/test_jsonrpc.py b/manila/tests/share/drivers/quobyte/test_jsonrpc.py
index 4565a6a..f4d9952 100644
--- a/manila/tests/share/drivers/quobyte/test_jsonrpc.py
+++ b/manila/tests/share/drivers/quobyte/test_jsonrpc.py
@@ -19,7 +19,7 @@ import ssl
 import tempfile
 
 import mock
-from oslo_serialization import jsonutils
+from oslo.serialization import jsonutils
 import six
 
 from manila import exception
diff --git a/manila/tests/share/drivers/quobyte/test_quobyte.py b/manila/tests/share/drivers/quobyte/test_quobyte.py
index 6728daf..1d295e4 100644
--- a/manila/tests/share/drivers/quobyte/test_quobyte.py
+++ b/manila/tests/share/drivers/quobyte/test_quobyte.py
@@ -14,7 +14,7 @@
 #    under the License.
 
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import context
 from manila import exception
diff --git a/manila/tests/share/drivers/test_ganesha.py b/manila/tests/share/drivers/test_ganesha.py
index a94ef66..4d76f56 100644
--- a/manila/tests/share/drivers/test_ganesha.py
+++ b/manila/tests/share/drivers/test_ganesha.py
@@ -18,7 +18,7 @@ import errno
 import os
 
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import exception
 from manila.share import configuration as config
diff --git a/manila/tests/share/drivers/test_generic.py b/manila/tests/share/drivers/test_generic.py
index 193d02a..b8e1597 100644
--- a/manila/tests/share/drivers/test_generic.py
+++ b/manila/tests/share/drivers/test_generic.py
@@ -21,7 +21,7 @@ import os
 import ddt
 import mock
 from oslo_concurrency import processutils
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila.common import constants as const
 from manila import compute
diff --git a/manila/tests/share/drivers/test_glusterfs.py b/manila/tests/share/drivers/test_glusterfs.py
index 7eb4ca3..e327b53 100644
--- a/manila/tests/share/drivers/test_glusterfs.py
+++ b/manila/tests/share/drivers/test_glusterfs.py
@@ -19,7 +19,7 @@ import os
 
 import ddt
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import context
 from manila import exception
diff --git a/manila/tests/share/drivers/test_glusterfs_native.py b/manila/tests/share/drivers/test_glusterfs_native.py
index dc86b9b..f72b839 100644
--- a/manila/tests/share/drivers/test_glusterfs_native.py
+++ b/manila/tests/share/drivers/test_glusterfs_native.py
@@ -24,7 +24,7 @@ import tempfile
 
 import ddt
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import context
 from manila import exception
diff --git a/manila/tests/share/drivers/test_service_instance.py b/manila/tests/share/drivers/test_service_instance.py
index 03aa176..4348b48 100644
--- a/manila/tests/share/drivers/test_service_instance.py
+++ b/manila/tests/share/drivers/test_service_instance.py
@@ -21,8 +21,8 @@ import os
 import ddt
 import mock
 import netaddr
-from oslo_config import cfg
-from oslo_utils import importutils
+from oslo.config import cfg
+from oslo.utils import importutils
 import six
 
 from manila import exception
diff --git a/manila/tests/share/drivers/zfssa/test_zfssashare.py b/manila/tests/share/drivers/zfssa/test_zfssashare.py
index 55f1f95..99a5711 100644
--- a/manila/tests/share/drivers/zfssa/test_zfssashare.py
+++ b/manila/tests/share/drivers/zfssa/test_zfssashare.py
@@ -15,7 +15,7 @@
 Unit tests for Oracle's ZFSSA Manila driver.
 """
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import context
 from manila import exception
diff --git a/manila/tests/share/test_api.py b/manila/tests/share/test_api.py
index 483715e..a5a7002 100644
--- a/manila/tests/share/test_api.py
+++ b/manila/tests/share/test_api.py
@@ -24,8 +24,8 @@ import mock
 # mocking same object but from different namespaces. Remove it when all
 # oslo libs use same namespace for same things.
 from oslo.utils import timeutils as timeutils_old  # noqa
-from oslo_config import cfg
-from oslo_utils import timeutils
+from oslo.config import cfg
+from oslo.utils import timeutils
 
 from manila.common import constants
 from manila import context
diff --git a/manila/tests/share/test_manager.py b/manila/tests/share/test_manager.py
index ec37fd2..c18537d 100644
--- a/manila/tests/share/test_manager.py
+++ b/manila/tests/share/test_manager.py
@@ -18,9 +18,9 @@ import datetime
 
 import ddt
 import mock
-from oslo_serialization import jsonutils
-from oslo_utils import importutils
-from oslo_utils import timeutils
+from oslo.serialization import jsonutils
+from oslo.utils import importutils
+from oslo.utils import timeutils
 
 from manila.common import constants
 from manila import context
diff --git a/manila/tests/share/test_rpcapi.py b/manila/tests/share/test_rpcapi.py
index be11c66..1de7b3b 100644
--- a/manila/tests/share/test_rpcapi.py
+++ b/manila/tests/share/test_rpcapi.py
@@ -18,8 +18,8 @@ Unit Tests for manila.share.rpcapi.
 
 import copy
 
-from oslo_config import cfg
-from oslo_serialization import jsonutils
+from oslo.config import cfg
+from oslo.serialization import jsonutils
 import six
 
 from manila import context
diff --git a/manila/tests/test_conf.py b/manila/tests/test_conf.py
index 6964d13..fc7807c 100644
--- a/manila/tests/test_conf.py
+++ b/manila/tests/test_conf.py
@@ -15,7 +15,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 
 from manila import test
diff --git a/manila/tests/test_db.py b/manila/tests/test_db.py
index 629611b..0289593 100644
--- a/manila/tests/test_db.py
+++ b/manila/tests/test_db.py
@@ -15,7 +15,7 @@
 
 """Tests for the ShareServer and ShareServerBackendDetails tables."""
 
-from oslo_utils import uuidutils
+from oslo.utils import uuidutils
 
 from manila import context
 from manila import db
diff --git a/manila/tests/test_manager.py b/manila/tests/test_manager.py
index ab0b2c8..a4d971c 100644
--- a/manila/tests/test_manager.py
+++ b/manila/tests/test_manager.py
@@ -16,7 +16,7 @@
 """Test of Base Manager for Manila."""
 
 import mock
-from oslo_utils import importutils
+from oslo.utils import importutils
 
 from manila import manager
 from manila import test
diff --git a/manila/tests/test_policy.py b/manila/tests/test_policy.py
index 16a98e3..55daccb 100644
--- a/manila/tests/test_policy.py
+++ b/manila/tests/test_policy.py
@@ -18,7 +18,7 @@
 import os.path
 
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 import six
 from six.moves.urllib import request as urlrequest
 
diff --git a/manila/tests/test_quota.py b/manila/tests/test_quota.py
index 717ef25..7b70111 100644
--- a/manila/tests/test_quota.py
+++ b/manila/tests/test_quota.py
@@ -17,8 +17,8 @@
 import datetime
 
 import mock
-from oslo_config import cfg
-from oslo_utils import timeutils
+from oslo.config import cfg
+from oslo.utils import timeutils
 import testtools
 
 from manila import context
diff --git a/manila/tests/test_service.py b/manila/tests/test_service.py
index cc0a1bf..e665ddf 100644
--- a/manila/tests/test_service.py
+++ b/manila/tests/test_service.py
@@ -22,7 +22,7 @@ Unit Tests for remote procedure calls using queue
 """
 
 import mock
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import context
 from manila import db
diff --git a/manila/tests/test_test.py b/manila/tests/test_test.py
index 56daab7..d2e09f8 100644
--- a/manila/tests/test_test.py
+++ b/manila/tests/test_test.py
@@ -17,7 +17,7 @@
 """Tests for the testing base code."""
 
 from oslo import messaging
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import rpc
 from manila import test
diff --git a/manila/tests/test_utils.py b/manila/tests/test_utils.py
index 106ec41..2a15f7f 100644
--- a/manila/tests/test_utils.py
+++ b/manila/tests/test_utils.py
@@ -25,8 +25,8 @@ import uuid
 
 import ddt
 import mock
-from oslo_config import cfg
-from oslo_utils import timeutils
+from oslo.config import cfg
+from oslo.utils import timeutils
 import paramiko
 
 import manila
diff --git a/manila/tests/test_wsgi.py b/manila/tests/test_wsgi.py
index d9bdcf7..700e2e9 100644
--- a/manila/tests/test_wsgi.py
+++ b/manila/tests/test_wsgi.py
@@ -21,7 +21,7 @@ import ssl
 import tempfile
 import urllib2
 
-from oslo_config import cfg
+from oslo.config import cfg
 import six
 import testtools
 import webob
diff --git a/manila/tests/utils.py b/manila/tests/utils.py
index dfd6398..3cd0e11 100644
--- a/manila/tests/utils.py
+++ b/manila/tests/utils.py
@@ -16,7 +16,7 @@
 
 import os
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 from manila import context
 from manila import utils
diff --git a/manila/tests/windows/windowsutils.py b/manila/tests/windows/windowsutils.py
index 742dde0..df492e1 100644
--- a/manila/tests/windows/windowsutils.py
+++ b/manila/tests/windows/windowsutils.py
@@ -18,7 +18,7 @@ Windows storage classes to be used in testing.
 
 import os
 
-from oslo_config import cfg
+from oslo.config import cfg
 
 # Check needed for unit testing on Unix
 if os.name == 'nt':
diff --git a/manila/utils.py b/manila/utils.py
index 53a98c1..57ce49c 100644
--- a/manila/utils.py
+++ b/manila/utils.py
@@ -31,10 +31,10 @@ from eventlet import pools
 import netaddr
 from oslo_concurrency import lockutils
 from oslo_concurrency import processutils
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
-from oslo_utils import importutils
-from oslo_utils import timeutils
+from oslo.utils import importutils
+from oslo.utils import timeutils
 import paramiko
 import six
 
diff --git a/manila/volume/__init__.py b/manila/volume/__init__.py
index 0675cc7..7aa43ec 100644
--- a/manila/volume/__init__.py
+++ b/manila/volume/__init__.py
@@ -13,21 +13,21 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-import oslo_config.cfg
-import oslo_utils.importutils
+import oslo.config.cfg
+import oslo.utils.importutils
 
 _volume_opts = [
-    oslo_config.cfg.StrOpt('volume_api_class',
+    oslo.config.cfg.StrOpt('volume_api_class',
                            default='manila.volume.cinder.API',
                            help='The full class name of the '
                            'Volume API class to use.'),
 ]
 
-oslo_config.cfg.CONF.register_opts(_volume_opts)
+oslo.config.cfg.CONF.register_opts(_volume_opts)
 
 
 def API():
-    importutils = oslo_utils.importutils
-    volume_api_class = oslo_config.cfg.CONF.volume_api_class
+    importutils = oslo.utils.importutils
+    volume_api_class = oslo.config.cfg.CONF.volume_api_class
     cls = importutils.import_class(volume_api_class)
     return cls()
diff --git a/manila/volume/cinder.py b/manila/volume/cinder.py
index dafd429..b12b276 100644
--- a/manila/volume/cinder.py
+++ b/manila/volume/cinder.py
@@ -23,7 +23,7 @@ import sys
 from cinderclient import exceptions as cinder_exception
 from cinderclient import service_catalog
 from cinderclient.v2 import client as cinder_client
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 
 import manila.context as ctxt
diff --git a/manila/wsgi.py b/manila/wsgi.py
index d3b08f2..5f7fe9a 100644
--- a/manila/wsgi.py
+++ b/manila/wsgi.py
@@ -29,10 +29,10 @@ import time
 import eventlet
 import eventlet.wsgi
 import greenlet
-from oslo_config import cfg
+from oslo.config import cfg
 from oslo_log import log
 from oslo_log import loggers
-from oslo_utils import netutils
+from oslo.utils import netutils
 from paste import deploy
 import routes.middleware
 import six
-- 
2.4.2

